{{ attach_library('growhappytheme/lct-faq') }}
{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{# {{ page.navigation }} #}

<style media="screen">
	.ghc_hero_campaign{
		margin-top: 68px;
		margin-bottom: 41px;
	}

	#ghc_hero_image{
		width: 100%;
    border-radius: 11px;
	}

	.ghc_form_campaign{
		font-size: 1.3rem;
		color: 073EA4;
		border-color: #073EA4;
	}

	.form_campaign{
		background: #F1FAFF;
		padding: 33px;
		border-radius: 10px;
		margin-bottom: 38px;
	}
</style>

<main role="main" style="margin-top: 0;">
	<div class="container ghc_hero_campaign">
    <img id="ghc_hero_image" src="{{ url('<front>') }}themes/growhappytheme/dist_layout/img/ghc/ghcebook.jpg" alt="sampling lacto">
  </div>

				<div class="container text-md-center" style="font-family: 'CrossWordBelle'; margin-top: -50px; text-align: center;">
           <div class="row justify-content-center">
               <div class="col-12 col-md-8 col-lg-5" style="margin-top: 45px;">
                   <h1>Hai Happy Parents
										<br>
										Terinspirasi oleh anak-anak yang Tumbuh Besar dengan Bahagia, LACTOGROW bersama
										<br>
										para expert menghadirkan The Science of Growing Up Happy Book untuk membantu
										<br>
										Happy Parents mendukung si Kecil agar selalu #GrowHappy.
										<br>
										Isi form berikut untuk mendapatkan E-Book The Science of Growing Up Happy
									</h1>
               </div>
           </div>
  			</div>

				{% if msg is empty %}
	        {% else %}
					<div class="container">
						<div class="alert alert-danger" style="text-align: center">
		          <p>{{ msg }}</p>
		        </div>
					</div>
	      {% endif %}

	      {% if status is empty %}
	        {% else %}
	        {% if status == 1 %}
					<div class="container">
						<div class="alert alert-success" style="text-align: center">
		          <p>Data berhasil tersubmit</p>
		        </div>
					</div>
	        {% endif %}
	      {% endif %}

				<div class="container" id="testNewForm" style="color: #073EA4;">
	          <form class="form_campaign" id="form" name="form" method="post" action="{{ url('growhappy_mod.sampling-ebook') }}">
	            <div class="container" style="width: 64% !important;">
	              <div class="row">
	                <div class="col-md-6">
	                  <div class="form-group">
	                    <p style="padding-left: 10px"><strong>Nama Happy Parents</strong></p>
	                      <input type="text" name="name" class="form-control ghc_form_campaign" id="firstname" placeholder="" required>
	                  </div>
	                </div>
	                <div class="col-md-6">
	                  <div class="form-group">
	                    <p style="padding-left: 10px"><strong>Tanggal Lahir Si Kecil</strong></p>
	                      <input type="date" name="dob" class="form-control ghc_form_campaign" id="dobanak" value="" required>
	                  </div>
	                </div>
	              </div>
	              <div class="row">
	              <div class="col-md-6">
	                <div class="form-group">
	                  <p style="padding-left: 10px"><strong>No. Handphone</strong></p>
	                  <input type="number" name="phone" class="form-control ghc_form_campaign" id="handphone" placeholder="" required>
										<input type="hidden" name="source" value="{{ source }}">
	                  <span class="pesan pesan-handphone" style="padding-left: 10px; font-size: 80%;  color: grey">Harus diisi dengan nomor aktif untuk notifikasi sampel</span>
	                </div>
	              </div>
	              <div class="col-md-6">
	                <div class="form-group">
	                  <p for="product" style="padding-left: 10px"><strong>Susu Si Kecil Saat Ini</strong></p>
	                  <select id="product" name="product" class="form-control ghc_form_campaign" placeholder="Pilih susu" required>
	                    <option>Pilih susu</option>
	                    <option value="asi">ASI</option>
	                    <option value="lacto">LACTOGROW </option>
	                    <option value="dancow">DANCOW Nutritods</option>
	                    <option value="bebelac">BEBELAC</option>
	                    <option value="nutrilon">NUTRILON</option>
	                    <option value="s26">S26</option>
	                    <option value="morinaga">MORINAGA</option>
	                    <option value="sgm">SGM</option>
	                    <option value="frisianflag">FRISIAN FLAG</option>
	                    <option value="nestlebatita">NESTLE BATITA</option>
	                    <option value="nankid">NAN kid pHPro3</option>
	                    <option value="susucair">Susu Cair/UHT</option>
	                    <option value="others">Others</option>
	                  </select>

	                </div>
	              </div>
	            </div>
	        <div class="col-md-12">
	        <div class="form-group">
	          <p style="padding-left: 10px"><strong>Alamat Lengkap Untuk Pengiriman</strong></p>
	          <textarea name="alamat" class="form-control ghc_form_campaign" id="alamat" placeholder="" required style="height: 100px; border-radius: 10px;"></textarea>
	          <span class="pesan pesan-alamat" style="padding-left: 10px; font-size: 80%; color: grey">Contoh Jl. Alamanda No. 18 RT 01/RW 04 Cibubur Ciracas, Jakarta Timur 13720</span>
	        </div>
	      </div>
	      <div class="col-md-6">
	        <div class="form-group">
	          <p style="padding-left: 10px"><strong>Provinsi</strong></p>
	            <select name="provinsi" id="provinsi" class="form-control ghc_form_campaign" required>
	              <option value="">Pilih</option>
	              {% for prov in provinsi %}
	              <option data-getid="{{ prov.id }}" value="{{ prov.name }}">{{ prov.name }}</option>
	              {% endfor %}
	            </select>
	        </div>
	      </div>
	      <div class="col-md-6">
	        <div class="form-group">
	          <p style="padding-left: 10px"><strong>Kota</strong></p>
	            <select name="kota" id="kabupaten" class="form-control ghc_form_campaign" required>
	              <option value="">Pilih</option>
	            </select>
	        </div>
	      </div>
	    </div>
	            <div class="container" style="width:100%; margin-top: 20px;">
	                <div class="container" style="width: 55% !important;">
	            <div class="row">
	                <div class="form-group">
	                  <div class="container" style="width:100%;">
	                    <div class="row">
	                      <div class="col-xs-1" style="padding-right:0px">
	                        <div class="container" style="width: 5% !important;">
	                          <input type="checkbox" id="checkbox1" name="option1" required>
	                        </div>
	                      </div>
	                      <div class="col-xs-11" style="padding-left: 0px;font-size: 13px">
	                        <label for="checkbox1" name="option1" style="padding-left: 33px; color: #003DA5"><strong>Saya setuju dengan <a href="{{ url('<front>') }}campaign/growhappycorner-sk"><u>Syarat & Ketentuan</u></a> yang berlaku</strong></label>
	                      </div>
	                    </div>
	                  </div>
	                  <div class="container" style="width:100%;">
	                    <div class="row">
	                      <div class="col-xs-1" style="padding-right:0px">
	                        <div class="container" style="width: 5% !important;">
	                          <input type="checkbox" id="checkbox2" name="option1" required>
	                        </div>
	                      </div>
	                      <div class="col-xs-11" style="padding-left: 0px;font-size: 13px">
	                        <label for="checkbox2" name="option2" style="padding-left: 33px; color: #003DA5"><strong>Dapat memproses data saya dengan mengacu pada kebijakan kerahasiaan LACTOGROW</strong></label>
	                      </div>
	                    </div>
	                  </div>
	                </div>
	            </div>
	          </div>
	        </div>

	        <br>

	      <div class="container" style="margin-top: 20px; margin-bottom: 30px;">
	        <div  class="col-xs-12 text-center" style="padding:0">
	          <button type="submit" id="submit" class="btn btn-primary" style="font-size: 1.5rem;"><strong>Submit Form</strong></button>
	        </div>
	      </div>
	            </form>
	        </div>
</main>
{% if page.footer %}
	<footer
		id="primary-footer">
		{# {{ page.footer }} #}
		{% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
	</footer>
{% else %}
	{% include directory ~ '/templates/includes/_foot.html.twig' %}
{% endif %}

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript">

	$('#provinsi').on('change', function() {
    var provinsi_id = $(this).find(':selected').data('getid');;
    var text = $(this).find("option:selected").text();
    var url = "{{ url('growhappy_mod.get-kabupaten') }}?provinsi_id="+provinsi_id;
    $.ajax({
       type: "GET",
       url: url,
       success: function(data)
        {
          $('#kabupaten').empty();
          $("#provinsi_value").val(text);

          var toAppend = '<option selected>Kota/Kabupaten</option>';
          $.each(JSON.parse(data), function(k,v){
            // toAppend += '<option value='+v.id+'>'+v.name+'</option>';
						toAppend += '<option data-getid="' + v.id + '" value="' + v.name + '">' + v.name + '</option>';
          });

         $('#kabupaten').append(toAppend);
        }
    });
  });

	$('#kabupaten').on('change', function() {
    var kabupaten_id = $(this).find(':selected').data('getid');;
    var text = $(this).find("option:selected").text();
    var url = "{{ url('growhappy_mod.get-kecamatan') }}?kabupaten_id="+kabupaten_id;
    $.ajax({
       type: "GET",
       url: url,
       success: function(data)
        {
          $('#kecamatan').empty();
          $("#kabupaten_value").val(text);

          var toAppend = '<option selected>Kecamatan</option>';
          $.each(JSON.parse(data), function(k,v){
            // toAppend += '<option value='+v.id+'>'+v.name+'</option>';
						toAppend += '<option data-getid="' + v.id + '" value="' + v.name + '">' + v.name + '</option>';
          });

         $('#kecamatan').append(toAppend);
        }
    });
  });

	$('#kecamatan').on('change', function() {
    var kecamatan_id = $(this).find(':selected').data('getid');;
    var text = $(this).find("option:selected").text();
    var url = "{{ url('growhappy_mod.get-kelurahan') }}?kecamatan_id="+kecamatan_id;
    $.ajax({
       type: "GET",
       url: url,
       success: function(data)
        {
          $('#kelurahan').empty();
          $("#kecamatan_value").val(text);

          var toAppend = '<option selected>Kelurahan/Desa</option>';
          $.each(JSON.parse(data), function(k,v){
            // toAppend += '<option value='+v.id+'>'+v.name+'</option>';
						toAppend += '<option data-getid="' + v.id + '" value="' + v.name + '">' + v.name + '</option>';
          });

         $('#kelurahan').append(toAppend);
        }
    });
  });

	$('#kelurahan').on('change', function() {
    var kelurahan_id = $(this).find(':selected').data('getid');;
    var text = $(this).find("option:selected").text();
    var url = "{{ url('growhappy_mod.get-kodepos') }}?kelurahan_id="+kelurahan_id;
    $.ajax({
       type: "GET",
       url: url,
       success: function(data)
        {
          var data = JSON.parse(data);
          $("#kelurahan_value").val(text);
          $('#kodepos').val(data.kodepos);
        }
    });
  });

	</script>
